GET
https://api.cryptohopper.com/v1/user/mobilepushnotifications/{player_id}
Returns per notification type whether push notifications are on ("1") or off ("0") for the user's mobile app.
OAuth scope:
user About scopes
Returns the same data as Get mobile push notification settings.
Example request
curl "https://api.cryptohopper.com/v1/user/mobilepushnotifications/PLAYER_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user/mobilepushnotifications/PLAYER_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/user/mobilepushnotifications/PLAYER_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user/mobilepushnotifications/PLAYER_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
player_id |
string | Required | Push notification player ID of the device. It is currently ignored: settings are stored per user. |
Response
{
"data": {
"config_error": "1",
"on_first_start": "1",
"on_trigger": "1",
"on_panic_end": "1",
"on_panic_start": "1",
"order_placed": "1",
"trade_completed": "1",
"order_cancelled": "0",
"deleted": "0",
"receiving_notifications": "1",
"position_change": "0",
"aibot_proposal": "1"
}
}